Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - linux-vfio

Package Base Details: linux-vfio

Git Clone URL: https://aur-dev.archlinux.org/linux-vfio.git (read-only)
Keywords: acs arbiter assignment gpu i915 kvm override passthrough pci qemu vfio vga
Submitter: zman0900
Maintainer: zman0900 (markzz)
Last Packager: markzz
Votes: 28
Popularity: 2.995029
First Submitted: 2015-01-30 06:41
Last Updated: 2016-12-10 05:37

Pinned Comments

electricprism commented on 2016-01-04 04:30

Requires importing GPG Keys to build

# Linus Torvalds
gpg --recv-keys 79BE3E4300411886

# Greg Kroah-Hartman (Linux kernel stable release signing key)
gpg --recv-keys 38DBBDC86092693E

Latest Comments

1 2 3 4 5 6 ... Next › Last »

f4bio commented on 2017-02-04 05:53

I updated this package (to v4.9.7) somewhat (no VGA arbiter patch):
https://github.com/f4bio/aur-linux-vfio
(also, my first ever kernel build, feedback would be very much appreciated)

markzz commented on 2017-01-27 16:44

Well, this package is normally updated when Arch updates it's version of linux in core. It looks like they have released 4.9.6-1 only hours ago and I haven't had the time to look at it and see if the patches work.

I have been updating the package on my repository along the 4.8.x releases.

EDIT: The patches don't work again so I have to rewrite them again.

simpleauthority commented on 2017-01-27 09:42

Will this continue to be updated? Very useful.

markzz commented on 2016-11-28 16:25

dominicm: Some aur helpers seem to not be able to handle split packages. When it encounters them, they seem to add the packages that are produced multiple times which causes pacman to error. You can see this first hand if you run makepkg on a PKGBUILD then do `pacman -U pkg-ver.pkg.tar.xz pkg-ver.pkg.tar.xz`. Yaourt doesn't do this, but it has an issue that it will build this PKGBUILD three times if you do a `yaourt -Sua` which could get annoying very quickly.

dominicm commented on 2016-11-23 13:58

@soul Thanks, yaourt does indeed work though it's annoying to have to use it just for the kernel. Hopefully someone can shed some light on this issue.

s0ul commented on 2016-11-22 18:30

@dominicm, I had that same issue several times with packer and pacaur but using yaourt -S linux-vfio works as intended. This may not be the solution you want but it's something.

dominicm commented on 2016-11-22 17:57

I am getting duplicate target error after which the kernel is downloaded again and compiled and so on and on. This has happened with the last 5+ releases. Have to install manually which is annoying with frequent updates. Using packer -S to install. Anyone else having this problem?

root Password:
loading packages...
error: 'linux-vfio-headers-4.8.8-1-x86_64.pkg.tar.xz': duplicate target
error: 'linux-vfio-docs-4.8.8-1-x86_64.pkg.tar.xz': duplicate target

markzz commented on 2016-10-23 18:32

I have updated the package on my repository to 4.8.4. If you want to build this yourself, since the patches needed to be redone in order for it to work, I have uploaded a source package for anyone to use [1]. Feel free to use either and I will continue to keep both updated if this PKGBUILD falls behind again.

[1] http://arch.markzz.com/linux-vfio-4.8.4-1.src.tar.gz

dominicm commented on 2016-10-21 00:22

@Myd Sorry for late reply, That's what I have too and nothing else as far as vfio config. It's probably due to different hardware, I am using Asus Z170 Deluxe with 6700k cpu.

Myd commented on 2016-10-05 15:46

@dominicm what kernel params are you using? I have: "intel_iommu=on pcie_acs_override=downstream" and each of my devices is in separate IOMMU group